| AI Engine-ML Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Status registers
Scalar Operations » Configuration » Mode Settings

## Overview

Intrinsics to set,get and clear the status registers.

### Satutus registers:

Register | Width | Meaning
--- | --- | ---
srCarry - Carry | 1 | ALU overflow carry bit
srSS0 SS_TLAST - TLAST | 2 | bit 0: Reading the narrow input stream returned TLAST condition
|  | bit 1: Reading the narrow input stream returned a non blocking SUCCESS condition
srMS0 - Non blocking | 1 | Writing the narrow output stream returned a non blocking SUCCESS condition
srSRS_of - Saturation | 1 | Saturation in SRS for all lanes
srUPS_of - Saturation | 1 | Saturation in UPS for all lanes
srCompr_uf | 1 | Underflow in compressed load
srSparse_of | 1 | Overflow in sparse vector mask
srFPFlags | 5 | Floating-point status flags
srF2IFlags | 5 | Floating-point to integer conversion status flags
srF2FFlags | 5 | Floating-point to floating-point conversion status flags

## Miscellaneous status bits
Saturation for SRS in all lanes.
unsigned int | get_srs_of ()
void | set_srs_of ()
void | set_srs_of (unsigned int val)
void | clr_srs_of ()
unsigned int | get_ups_of ()
| Saturation for UPS in all lanes.
void | set_ups_of ()
| Saturation for UPS in all lanes.
void | set_ups_of (unsigned int val)
| Saturation for UPS in all lanes.
void | clr_ups_of ()
| Saturation for UPS in all lanes.
unsigned int | get_fpmulmac_flags ()
| Floating point flags.
void | set_fpmulmac_flags (unsigned int val)
| Floating point flags.
unsigned int | get_fp2int_flags ()
| Floating point flags.
void | set_fp2int_flags (unsigned int val)
| Floating point flags.
unsigned int | get_fpf2f_flags ()
| Floating point flags.
void | set_fpf2f_flags (unsigned int val)
| Floating point flags.
unsigned int | get_compr_uf ()
| Decompression underflow flag.
void | set_compr_uf ()
| Decompression underflow flag.
void | set_compr_uf (unsigned int val)
| Decompression underflow flag.
void | clr_compr_uf ()
| Decompression underflow flag.
unsigned int | get_sparse_of ()
| Sparse overflow flag.
void | set_sparse_of ()
| Sparse overflow flag.
void | set_sparse_of (unsigned int val)
| Sparse overflow flag.
void | clr_sparse_of ()
| Sparse overflow flag.

## Function Documentation

## ◆ clr_compr_uf()

void clr_compr_uf | ( |  | ) |

Decompression underflow flag.

## ◆ clr_sparse_of()

void clr_sparse_of | ( |  | ) |

Sparse overflow flag.

## ◆ clr_srs_of()

void clr_srs_of | ( |  | ) |

## ◆ clr_ups_of()

void clr_ups_of | ( |  | ) |

Saturation for UPS in all lanes.

## ◆ get_compr_uf()

unsigned int get_compr_uf | ( |  | ) |

Decompression underflow flag.

## ◆ get_fp2int_flags()

unsigned int get_fp2int_flags | ( |  | ) |

Floating point flags.

## ◆ get_fpf2f_flags()

unsigned int get_fpf2f_flags | ( |  | ) |

Floating point flags.

## ◆ get_fpmulmac_flags()

unsigned int get_fpmulmac_flags | ( |  | ) |

Floating point flags.

## ◆ get_sparse_of()

unsigned int get_sparse_of | ( |  | ) |

Sparse overflow flag.

## ◆ get_srs_of()

unsigned int get_srs_of | ( |  | ) |

## ◆ get_ups_of()

unsigned int get_ups_of | ( |  | ) |

Saturation for UPS in all lanes.

## ◆ set_compr_uf() [1/2]

void set_compr_uf | ( |  | ) |

Decompression underflow flag.

## ◆ set_compr_uf() [2/2]

void set_compr_uf | ( | unsigned int | val | ) |

Decompression underflow flag.

## ◆ set_fp2int_flags()

void set_fp2int_flags | ( | unsigned int | val | ) |

Floating point flags.

## ◆ set_fpf2f_flags()

void set_fpf2f_flags | ( | unsigned int | val | ) |

Floating point flags.

## ◆ set_fpmulmac_flags()

void set_fpmulmac_flags | ( | unsigned int | val | ) |

Floating point flags.

## ◆ set_sparse_of() [1/2]

void set_sparse_of | ( |  | ) |

Sparse overflow flag.

## ◆ set_sparse_of() [2/2]

void set_sparse_of | ( | unsigned int | val | ) |

Sparse overflow flag.

## ◆ set_srs_of() [1/2]

void set_srs_of | ( |  | ) |

## ◆ set_srs_of() [2/2]

void set_srs_of | ( | unsigned int | val | ) |

## ◆ set_ups_of() [1/2]

void set_ups_of | ( |  | ) |

Saturation for UPS in all lanes.

## ◆ set_ups_of() [2/2]

void set_ups_of | ( | unsigned int | val | ) |

Saturation for UPS in all lanes.